

/* Format der Daten PAKET_LEN = 24

 0 Sensornummer 0x5y    y -> 0...F Sensornummer, maximal 16 Sensoren
 1 Status       0x5y    y -> 0...F 0 - ok, 1 - Batterie leer
 
 Sensordaten, 3 Sensoren, 3 * 7 = 21 Byte, Daten als ASCII mit Komma
 0 Sensortyp    0x5y    y -> 0...F 0 kein Sensor,
  1 - Temperatur: Vorzeichen, 4 Stellen (999,9), fhrende Nullen unterdrckt, - vor der ersten Ziffer, rechtsbndig
  2 - Feuchte:    3 Stellen (99,9), rechtsbndig
  3 - Luftdruck   5 Stellen (9999,9), fhrende Nullen unterdrckt, rechtsbndig
  
 23 Checksumme XOR
     
*/

#define SENSOR_NR       8           // Nummer des Sensors, wird im 1. Byte gesendet

#define USE_TMP36S      0   			  // TMP36S wird eingebunden

#define USE_TINY        0		 	      // Tiny als Sensor wird eingebunden

#define USE_FOST02      1			 	    // FOST02 als Sensor wird eingebunden

#define USE_SWITCH      0			 	    // Schalter als Statusmeldung

#define TYP_NONE        0				    // Typ-Liste, legt Daten-/Zahlenformat fest
#define TYP_TEMPERATUR  1
#define TYP_FEUCHTE     2
#define TYP_LUFTDRUCK   3
#define TYP_SWITCH      4

#if USE_TMP36S
  #define SUB_TYP_1 TYP_TEMPERATUR  // legt fest, wo in welchem Format die Daten ins Paket sortiert werden 
  #define SUB_TYP_2 TYP_NONE      
  #define SUB_TYP_3 TYP_NONE

  #define SUB_OFFSET_1  3           // Offset im buffer
#endif

#if USE_TINY
  #define SUB_TYP_1 TYP_TEMPERATUR  // Typ des Sub-Sensors 
  #define SUB_TYP_2 TYP_NONE      
  #define SUB_TYP_3 TYP_NONE

  #define SUB_OFFSET_1  3           // Offset im buffer
#endif

#if USE_SWITCH
  #define SUB_TYP_1 TYP_SWITCH      // Typ des Sub-Sensors 
  #define SUB_TYP_2 TYP_NONE      
  #define SUB_TYP_3 TYP_NONE

  #define SUB_OFFSET_1  3           // Offset im buffer
#endif

#if USE_FOST02
  #define SUB_TYP_1 TYP_TEMPERATUR  // Typ des Sub-Sensors 
  #define SUB_TYP_2 TYP_FEUCHTE     // Typ des Sub-Sensors 
  #define SUB_TYP_3 TYP_NONE      

  #define SUB_OFFSET_1  3           // Offset im buffer
  #define SUB_OFFSET_2 10           // Offset im buffer
#endif

//---------------------------------------------------------------------


  #define PAKET_LEN 24

